@use '@angular/material' as mat;
@import "../../theme";

.macro {
  button {
    margin-right: 10px;
  }
}

table {
  width: 100%;

  tr.detail-row {
    height: 0;
  }

  tr.overlap-row:not(.example-expanded-row):hover {
    background: mat.get-color-from-palette($accent, 0.2);
    cursor: pointer;
  }

  tr.overlap-row:not(.example-expanded-row):active {
    background: mat.get-color-from-palette($accent, 0.4);
  }

  .overlap-row td {
    border-bottom-width: 0;
  }

  .overlap-detail {
    overflow: hidden;
    display: flex;
  }
}

.filters {
  display: flex;
  font-size: 14px;
  width: 100%;

  .filter:not(:first-child) {
    margin-left: 10px;
  }

  .dataSourceFilter  {
    flex: 8;
  }
  .referenceSystem {
    flex: 1;
  }
}
